<?php

class PECL_Gen_Release extends PEAR
{
	/**
	 * The current version number 
	 *
	 * @accesss private
	 * @var     string
	 */
	var $version = "0.0.7";
	

	/**
	 * The release date
	 *
	 * @accesss private
	 * @var     string
	 */
	var $date = "";
	

	/**
	 * The 'state': alpha, beta, stable, dev ...
	 *
	 * @accesss private
	 * @var     string
	 */
	var $state = "unkown";


	/**
	 * Release notes
	 *
	 * @accesss private
	 * @var     string
	 */
	var $notes = "";


	function __construct()
	{
		$this->date = date("Y-m-d");
	}
	

	function set_version($version) 
	{
		// TODO check format
		$this->version = $version;

		return true;
	}

	function set_state($state)
	{
		// TODO check valid states
		$this->state = $state;
		
		return true;
	}

	function set_date($date)
	{
		// TODO check valid dates
		$this->date = $date;
		
		return true;
	}

	function set_notes($notes)
	{
		$this->notes = $notes;

		return true;
	}

	/**
	 * generate XML fragment for package.xml
	 *
	 * @access public
	 * @return string XML fragment
	 */
	function package_xml()
	{
		$code = "\n  <release>\n";
		foreach (array("version", "date", "state", "notes") as $key) {
			if ($this->$key !== "") {
				$code.= "    <$key>{$this->release[$key]}</$key>\n";
			}
		}
		$code.= "  </release>\n";

		return $code;
	}

}

?>